Subject: Editing patch sequences

From: Florian Weimer <[email-masked]>
Date: Sun, 09 Mar 2008 10:30:16 +0100

I've got a patch sequence (a list of file names of patches to apply to
some directory tree, not necessarily in quilt format), and I need to
reorder those patches (for instance, I've got a different version of the
directory tree, but don't want the patch at the beginning of the patch
sequence, but add the end).  If automatic reordering fails, I'd really
like to get some sort of three-way conflict.  After the editing process,
I want to get back another patch sequence, with as few as possible
differences to the original sequence (e.g., embedded file time stamps
should be kept the same, file headers should be preserved, and the order
of files in the patch should remain unchanged).

Has this already been implemented? "git rebase --interactive" comes
close, I think.  But minimizing the changes to individual patches seems
a bit of work.

It's not necessary that this integrates well with other GIT operations,
all this can happen on some throw-away branch or set of branches.